"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importStar(require("react"));
const RedoButton_1 = tslib_1.__importDefault(require("../RedoButton/RedoButton"));
const context_1 = tslib_1.__importDefault(require("../CioQuiz/context"));
const ResultFilters_1 = tslib_1.__importDefault(require("../ResultFilters/ResultFilters"));
const ZeroResults_1 = tslib_1.__importDefault(require("../ZeroResults/ZeroResults"));
const Results_1 = tslib_1.__importDefault(require("../Results/Results"));
function ResultContainer(props) {
    var _a, _b, _c;
    const { options } = props;
    const { resultCardSalePriceKey, resultCardRegularPriceKey } = options;
    const { state } = (0, react_1.useContext)(context_1.default);
    const zeroResults = !((_c = (_b = (_a = state === null || state === void 0 ? void 0 : state.quiz.results) === null || _a === void 0 ? void 0 : _a.response) === null || _b === void 0 ? void 0 : _b.results) === null || _c === void 0 ? void 0 : _c.length);
    const resultsTitle = zeroResults ? '' : 'Here are your results';
    if (state === null || state === void 0 ? void 0 : state.quiz.results) {
        return (react_1.default.createElement("div", { className: 'cio-results-container' },
            react_1.default.createElement("h1", { className: 'cio-results-title' }, resultsTitle),
            react_1.default.createElement("div", { className: 'cio-results-filter-and-redo-container' },
                react_1.default.createElement(ResultFilters_1.default, { hasNoResults: zeroResults }),
                react_1.default.createElement(RedoButton_1.default, null)),
            !zeroResults && (react_1.default.createElement(Results_1.default, { resultCardSalePriceKey: resultCardSalePriceKey, resultCardRegularPriceKey: resultCardRegularPriceKey })),
            zeroResults && react_1.default.createElement(ZeroResults_1.default, null)));
    }
    return react_1.default.createElement("div", null, "Loading");
}
exports.default = ResultContainer;
