import React, { useContext } from 'react';
import RedoSVG from './RedoSVG';
import QuizContext from '../CioQuiz/context';
function RedoButton(props) {
    const { redoText = 'Redo Quiz', disabled, ...rest } = props;
    const { getResetQuizButtonProps } = useContext(QuizContext);
    if (getResetQuizButtonProps) {
        return (
        // eslint-disable-next-line react/button-has-type
        React.createElement("button", { ...rest, ...getResetQuizButtonProps('secondary') },
            React.createElement(RedoSVG, null),
            React.createElement("span", null, redoText)));
    }
    return null;
}
export default RedoButton;
