import React, { useContext } from 'react';
import CTAButton from '../CTAButton/CTAButton';
import QuizContext from '../CioQuiz/context';
function ZeroResults() {
    const { getResetQuizButtonProps } = useContext(QuizContext);
    return (React.createElement("div", { className: 'cio-zero-results' },
        React.createElement("h3", { className: 'cio-zero-results-subtitle' }, "Sorry, we couldn\u2019t find products that perfectly match your preferences."),
        React.createElement(CTAButton, { ctaText: 'Redo Quiz', propsGetters: getResetQuizButtonProps })));
}
export default ZeroResults;
