import { QuestionTypes } from './components/CioQuiz/actions';
import { QuizLocalReducerState } from './components/CioQuiz/quizLocalReducer';
import { PrimaryColorStyles, QuestionImages } from './types';
export declare const renderImages: (images: Partial<QuestionImages>, cssClasses?: string) => JSX.Element | "";
export declare const getStoryParams: (storyCode: any, templateCode: any, importCode: any) => {
    docs: {
        source: {
            code: string;
            language: string;
            format: boolean;
            type: string;
        };
    };
};
export declare const functionStrings: {
    onAddToCartClick: string;
    onQuizResultClick: string;
    onQuizResultsLoaded: string;
    cioJsClient: string;
};
export declare const stringifyWithDefaults: (obj: {
    cioJsClient?: any;
    resultsPageOptions: {
        onAddToCartClick: any;
        onQuizResultClick: any;
        onQuizResultsLoaded: any;
    };
}) => string;
export declare const stringify: (obj: any) => string;
export declare const getQuestionTypes: (questionType?: `${QuestionTypes}`) => {
    isOpenQuestion: boolean;
    isCoverQuestion: boolean;
    isSingleQuestion: boolean;
    isMultipleQuestion: boolean;
    isSelectQuestion: boolean;
};
export declare function getPreferredColorScheme(): string;
export declare function isFunction(fn: any): boolean;
export declare const getStateFromSessionStorage: (quizStateKey: string) => QuizLocalReducerState | null;
export declare const resetQuizSessionStorageState: (quizStateKey: string) => () => void;
export declare const logger: (action: any) => void;
export declare function sleep(ms: any): Promise<unknown>;
export declare function rgbToHsl(r: number, g: number, b: number): number[];
export declare function convertPrimaryColorsToString(primaryColorStyles: PrimaryColorStyles): string;
