import React from 'react';
import ResultCtaButton from '../ResultCtaButton/ResultCtaButton';
// const flattenRequestFilters: any = (result: any, key: any) => {
//   return Object.keys(result).reduce((res: any, el: any) => {
//     if (el === key) {
//       if (typeof result[el] === 'string') {
//         return [...res, result[el]];
//       } else if (Array.isArray(result[el])) {
//         return [...res, ...result[el]];
//       }
//     }
//     if (typeof result[el] === 'object' && result[el] !== null) {
//       return [...res, ...flattenRequestFilters(result[el], key)]
//     }
//     return res;
//   }, [])
// }
// Code used to flatten facets and extract the key. TBD if we are using it for facet pills
export default function ResultHeroCard(props) {
    const { heroItem } = props;
    return (React.createElement("div", { className: 'cio-hero-card' },
        React.createElement("img", { className: 'cio-hero-card-image', src: heroItem?.data?.image_url, alt: 'product' }),
        React.createElement("div", { className: 'cio-hero-card-contents' },
            React.createElement("div", { className: 'cio-hero-card-title' }, "Especially Curated For You!"),
            React.createElement("h2", { className: 'cio-hero-card-item-name' }, heroItem?.value),
            React.createElement("div", { className: 'cio-hero-card-item-price' },
                "$",
                heroItem?.data?.price),
            React.createElement("p", { className: 'cio-hero-card-item-description' }),
            React.createElement(ResultCtaButton, { item: [heroItem] }))));
}
