import { GetResetQuizButtonProps, GetCoverQuestionProps, GetNextQuestionButtonProps, GetOpenTextInputProps, GetPreviousQuestionButtonProps, GetQuizImageProps, GetSelectInputProps, QuizEventsReturn, GetHydrateQuizButtonProps, GetAddToCartButtonProps, GetQuizResultButtonProps, GetQuizResultLinkProps, GetSelectQuestionImageProps } from '../../types';
import { QuizAPIReducerState } from '../../components/CioQuiz/quizApiReducer';
import { QuizLocalReducerState } from '../../components/CioQuiz/quizLocalReducer';
declare const usePropsGetters: (quizEvents: QuizEventsReturn, quizApiState: QuizAPIReducerState, quizLocalState: QuizLocalReducerState) => {
    getOpenTextInputProps: GetOpenTextInputProps;
    getNextQuestionButtonProps: GetNextQuestionButtonProps;
    getPreviousQuestionButtonProps: GetPreviousQuestionButtonProps;
    getQuizImageProps: GetQuizImageProps;
    getSelectQuestionImageProps: GetSelectQuestionImageProps;
    getSelectInputProps: GetSelectInputProps;
    getCoverQuestionProps: GetCoverQuestionProps;
    getResetQuizButtonProps: GetResetQuizButtonProps;
    getHydrateQuizButtonProps: GetHydrateQuizButtonProps;
    getAddToCartButtonProps: GetAddToCartButtonProps;
    getQuizResultButtonProps: GetQuizResultButtonProps;
    getQuizResultLinkProps: GetQuizResultLinkProps;
};
export default usePropsGetters;
